<?php

namespace FSPoster\App\SocialNetworks\Twitter\App\Factories;

use FSPoster\App\SocialNetworks\Twitter\App\Repositories\TwitterCommentRepository;

class TwitterCommentRepositoryFactory
{
    private string $socialNetworkSlug;

    public function __construct( string $socialNetworkSlug )
    {
        $this->socialNetworkSlug = $socialNetworkSlug;
    }

    public function make(): TwitterCommentRepository
    {
        return new TwitterCommentRepository( $this->socialNetworkSlug );
    }
}
